package com.ruoyi.bst.fault.service;

import com.ruoyi.bst.fault.domain.Fault;
import com.ruoyi.bst.fault.domain.FaultVO;
import com.ruoyi.bst.order.domain.dto.OrderChangeDeviceDTO;
import com.ruoyi.bst.orderDevice.domain.OrderDeviceVO;

public interface FaultConverter {

    Fault toPo(FaultVO fault);

    boolean canEdit(Long faultId);

    Fault toPo(OrderChangeDeviceDTO dto, OrderDeviceVO orderDevice);
}
